<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$unidades_medida = $ges->get_unidades_medida();
			$categorias = $ges->get_sub_categorias_productos_servicios(1);
			$serializados = $ges->get_catalogo_serliazado();
			$sensibilidades = $ges->get_sensibilidades();
			$ccostos = $ges2->get_centros_costo();

			

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['REGISTRAR'])){

				require_once("./view/registrar_producto.phtml");
				
			}

			// VALIDAR USUARIO

			if(!isset($_SESSION['id_usuario_almacen'])){

				echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
				
			}

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				if( isset($_POST['sub_categoria']) && isset($_POST['nombre_producto']) && isset($_POST['unidad']) && isset($_POST['serializado'])){


					$found_key="";
					$found_key = array_search($_POST['sub_categoria'], array_column($categorias, 'id_sub_categoria_producto_servicio'));

					$subcategoria = $categorias[$found_key]['abreviatura'];
					$categoria = $categorias[$found_key]['categoria'];


					$sku = "P".$categoria.$subcategoria."0".date("md").rand(0,9).rand(0,9);

					if (isset($_FILES['uploadedFile']) && $_FILES['uploadedFile']['error'] === UPLOAD_ERR_OK) {
            
							$fileTmpPath = $_FILES['uploadedFile']['tmp_name'];
							$fileName = $_FILES['uploadedFile']['name'];
							$fileSize = $_FILES['uploadedFile']['size'];
							$fileType = $_FILES['uploadedFile']['type'];
							$fileNameCmps = explode(".", $fileName);
							$fileExtension = strtolower(end($fileNameCmps));
							$nombrearchivo = date("YmdHisu"); 
							$newFileName = md5(time() . $nombrearchivo) . '.' . $fileExtension;
							$uploadFileDir = './imagenes/';
							$dest_path = $uploadFileDir . $newFileName;
							
							if(move_uploaded_file($fileTmpPath, $dest_path))
							{
							$message ='OK';
							}
							else
							{
							$message = 'ERROR';
							}
						
					}else{
							$newFileName='';
					}

					$validacion = $ges->get_validacion_producto_cliente($_POST['sku_cliente'],$_POST['id_ccosto']);


					if($validacion['total'] >= 1){
						echo'<script type="text/javascript">alert("EL PRODUCTO YA EXISTE");window.location.href="producto.php";</script>';
					}else{

						$resultado = $ges->set_producto( $_POST['sub_categoria'],$_POST['nombre_producto'] , $_POST['unidad'], $_POST['serializado'],1,$sku,$_POST['descripcion'],$newFileName,$_POST['sensibilidad'],$_POST['sku_cliente'],$_POST['id_ccosto']);

						echo'<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="producto.php";</script>';
					}
				}else{

					echo'<script type="text/javascript">alert("DATOS INCOMPLETOS");window.location.href="registrar_producto.php";</script>';

				}
				
			}


?>